import { onMount, For } from "solid-js";
import utils from "../../../utils/index"
import "../../../assets/style/BigScreenHome.css"

function NewMedia(prop) {
    onMount(() => { })
    return (
        <div class="livRang" style={{ "width": prop.width + 'px', "height": prop.height + 'px', "position": "relative" }}>
            <div class="head">{prop.title}</div>
            <div class="total">
                <For each={prop.list}>{title =>
                    <div class="total_item">
                        <div class="total_text" style={{"color": title.color}}>
                            <svg
                                class="svgclass"
                                viewBox="0 0 1024 1024"
                                version="1.1"
                                xmlns="http://www.w3.org/2000/svg"
                                width="160"
                                height="160">

                                <defs>
                                    <linearGradient id="line" gradientUnits="userSpaceOnUse">
                                        <stop offset="0%" style={{"stop-color": title.color,"stop-opacity":"1"}} />
                                        <stop offset="100%" style={{"stop-color": title.color,"stop-opacity":"0.3"}} />
                                    </linearGradient>
                                </defs>
                                <path
                                    id="line"
                                    d="M512.000427 1024c-69.12 0-136.192-13.482667-199.296-40.192a510.293333 510.293333 0 0 1-162.688-109.824A510.293333 510.293333 0 0 1 0.000427 512a35.968 35.968 0 1 1 72.021333 0 439.338667 439.338667 0 0 0 128.896 311.210667A437.717333 437.717333 0 0 0 512.000427 951.978667a439.338667 439.338667 0 0 0 311.210666-128.896A437.717333 437.717333 0 0 0 951.979093 512c0-59.392-11.562667-116.992-34.56-171.306667a440.448 440.448 0 0 0-94.293333-139.904A437.717333 437.717333 0 0 0 512.000427 71.978667 35.968 35.968 0 1 1 512.000427 0c69.12 0 136.192 13.482667 199.296 40.192a510.293333 510.293333 0 0 1 162.688 109.824 511.104 511.104 0 0 1 109.696 162.688c26.709333 63.104 40.234667 130.176 40.234666 199.296s-13.525333 136.192-40.234666 199.296a508.373333 508.373333 0 0 1-109.653334 162.688A511.104 511.104 0 0 1 512.000427 1024z"
                                    fill="url(#line)"
                                    opacity="1" />
                            </svg>
                            <p class="total_suntext">{utils.formatNum(title.value, 2)}</p>
                            <p class="total_suntext">{title.name}</p>
                        </div>
                    </div>
                }</For>
            </div>
        </div>
    );
}

export default NewMedia;
